/*
****************************************************************************
****************************************************************************
**                                                                        **
**                XXXX     X    X         X XXXXXX X                      **
**               X    X   X X   X    X    X X      X   X                  **
**               X       X   X  X   X X   X X      X  X                   **
**               X   XX XXXXXXX X  X   X  X XXXX   X X                    **
**               X    X X     X X X     X X X      XX                     **
**               X    X X     X XX       XX X      X                      **
**                XXXX  X     X X         X XXXXXX XXXXXX                 **
**                                                                        **
**                           BIAYSTOK 2017                               **
**                                                                        **
**                         Home Control System                            **
**                                                                        **
**                              HC_TMPS3                                  **
**                      Wersja z dnia : 2017.07.08                        **
**                     Napisal : Andrzej Pawluczuk                        **
**                                                                        **
****************************************************************************
****************************************************************************
*/


#ifndef _TMPS3EEPROM_
#define _TMPS3EEPROM_

#include <inttypes.h>

#define _KeyStandard_

#define StandardSygnature              0xA55A
#define EEBlockAddressOffset           4

#define DeviceIDSize                   8
typedef uint8_t DeviceIDType [ DeviceIDSize + 1 ] ;

#define CommandBufferSize              16
typedef uint8_t CommandBufferType [ CommandBufferSize + 1 ] ;

#define ParamBufferSize                32
typedef uint8_t ParamBufferType [ ParamBufferSize + 1 ] ;

#define PasswordSize                   6
typedef uint8_t PasswordType [ PasswordSize + 1 ] ;

#define ParamNameSize                  8
typedef uint8_t ParamNameType [ ParamNameSize + 1 ] ;

#define EventDestinDeviceArraySize     4

typedef struct {
                 uint16_t              EEBlockMetric ;
                 DeviceIDType          MyDeviceID ;
                 PasswordType          Password ;
                 ParamNameType         TmpParamName ;
                 uint16_t              AutoMeansTimeInterval ;
                 uint8_t               AutoMode ;
                 DeviceIDType          EventDestinDeviceID [ EventDestinDeviceArraySize ] ;
                 uint16_t              CRCValue ;
               } EEPROMBlockDataRecT ;


extern EEPROMBlockDataRecT EEBlock ;

void SetDefaultEEBlock ( void ) ;

#endif
